Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1625536 - First launch of torbrowser-launcher just hangs with an error
Summary: First launch of torbrowser-launcher just hangs with an error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: torbrowser-launcher
Version: 29
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Robert Mayr
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-05 07:29 UTC by Michele Baldessari
Modified: 2019-01-04 03:23 UTC (History)
7 users (show)

Fixed In Version: torbrowser-launcher-0.3.1-1.fc29 torbrowser-launcher-0.3.1-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-28 09:02:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Michele Baldessari 2018-09-05 07:29:00 UTC
Description of problem:
Running torbrowser-launcher-0.2.9-1.fc28.noarch for the first time gives:

Verifying Signature
Unhandled Error
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/twisted/python/log.py", line 103, in callWithLogger
    return callWithContext({"system": lp}, func, *args, **kw)
  File "/usr/lib64/python2.7/site-packages/twisted/python/log.py", line 86, in callWithContext
    return context.call({ILogContext: newCtx}, func, *args, **kw)
  File "/usr/lib64/python2.7/site-packages/twisted/python/context.py", line 122, in callWithContext
    return self.currentContext().callWithContext(ctx, func, *args, **kw)
  File "/usr/lib64/python2.7/site-packages/twisted/python/context.py", line 85, in callWithContext
    return func(*args,**kw)
--- <exception caught here> ---
  File "/usr/lib64/python2.7/site-packages/twisted/internet/posixbase.py", line 614, in _doReadOrWrite
    why = selectable.doRead()
  File "/usr/lib64/python2.7/site-packages/twisted/internet/tcp.py", line 205, in doRead
    return self._dataReceived(data)
  File "/usr/lib64/python2.7/site-packages/twisted/internet/tcp.py", line 211, in _dataReceived
    rval = self.protocol.dataReceived(data)
  File "/usr/lib64/python2.7/site-packages/twisted/internet/endpoints.py", line 125, in dataReceived
    return self._wrappedProtocol.dataReceived(data)
  File "/usr/lib64/python2.7/site-packages/twisted/protocols/tls.py", line 330, in dataReceived
    self._flushReceiveBIO()
  File "/usr/lib64/python2.7/site-packages/twisted/protocols/tls.py", line 300, in _flushReceiveBIO
    self._flushSendBIO()
  File "/usr/lib64/python2.7/site-packages/twisted/protocols/tls.py", line 252, in _flushSendBIO
    bytes = self._tlsConnection.bio_read(2 ** 15)
exceptions.AttributeError: 'NoneType' object has no attribute 'bio_read'

Dialog stays in 'Verifying Signature' forever.

Comment 1 Michele Baldessari 2018-09-05 07:30:46 UTC
This might be just a python2-twisted issue. Filed it here as I did not look at any code, feel free to reassign as needed.

Comment 2 Andreas Kupfer 2018-10-02 20:32:32 UTC
According to https://github.com/micahflee/torbrowser-launcher/issues/333 this is fixed in 0.3.0 which is available here:

https://github.com/micahflee/torbrowser-launcher/releases/tag/v0.3.0

Comment 3 Peter Bieringer 2018-11-24 23:31:02 UTC
Still appearing in Fedora 29, which has still
torbrowser-launcher-0.2.9-3.fc29.noarch

Comment 4 Fedora Update System 2018-12-26 21:59:39 UTC
torbrowser-launcher-0.3.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-75b61ecc57

Comment 5 Fedora Update System 2018-12-26 21:59:42 UTC
torbrowser-launcher-0.3.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3decf68285

Comment 6 Fedora Update System 2018-12-27 02:34:42 UTC
torbrowser-launcher-0.3.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3decf68285

Comment 7 Fedora Update System 2018-12-27 02:58:10 UTC
torbrowser-launcher-0.3.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-75b61ecc57

Comment 8 Fedora Update System 2018-12-28 09:02:17 UTC
torbrowser-launcher-0.3.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-01-04 03:23:33 UTC
torbrowser-launcher-0.3.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.